import styled, { css } from 'styled-components';
function getUnitAsPx($unit) {
  return $unit ? "".concat($unit, "px") : 'auto';
}
export var StyledTooltip = styled.div.withConfig({
  displayName: "StyledTooltip",
  componentId: "sc-1irp21i-0"
})(["position:absolute;", ""], function (_ref) {
  var $bottom = _ref.$bottom,
    $left = _ref.$left,
    $right = _ref.$right,
    $top = _ref.$top,
    $width = _ref.$width;
  return css(["bottom:", ";left:", ";right:", ";top:", ";width:", ";"], getUnitAsPx($bottom), getUnitAsPx($left), getUnitAsPx($right), getUnitAsPx($top), getUnitAsPx($width));
});